Hi all,

I have been trying to get Oracle 10gR2, PHP 4.4 and Apache 1.3 on SuSE 10.0 to work together for the longest time, but I just can't get my OCI8 functions to work correctly. I configure and install all three exactly according to this guide on Oracle's website:


My only differences are that I am installing on SuSE10 instead of SLES9.

Everything installs fine, my ENV variables are set and my phpinfo() even says that OCI is enabled, but whenever I try to use any oci function in PHP, such as oci_connect, my browser returns absolutely nothing, not even an error saying "Function does not exist".

When I try to output errors I don't get any...

The PHP works normally and I have tested it, but it seems like OCI8 is detected, but it just wont work.

Can anyone shed any light on this? I am assuming it is something wrong with the Oracle documentation as I have tried their setup twice, once with SLES9, Apache2, and PHP5 and the other as shown above, and both times OCI8 is shown to be enabled but will not work.

If anyone knows what is wrong, or knows of a better guide for installing Apache, PHP and Oracle on SuSE/Linux I would appreciate it. Thank you.